Name:           moonlight-qt-test
Version:        6.1.0
Release:        1%{?dist}
Summary:        Moonlight Qt client (AppImage wrapped for Fedora)

License:        GPLv3+
URL:            https://moonlight-stream.org
Source0:        https://github.com/moonlight-stream/moonlight-qt/releases/download/v%{version}/Moonlight-%{version}-x86_64.AppImage
Source1:        launcher.sh

BuildRequires:  desktop-file-utils
Requires:       qt6-qtbase
Requires:       qt6-qtdeclarative
Requires:       qt6-qtsvg
Requires:       ffmpeg
Requires:       SDL2_ttf
# Dépendances optionnelles VA-API
Recommends:     libva-intel-driver
Recommends:     libva-mesa-driver
Recommends:     libva-nvidia-driver

%description
Moonlight allows you to stream your PC games to another device using NVIDIA's GameStream protocol. This package wraps the official AppImage for easy integration into Fedora.

%prep
# Crée le dossier de travail
mkdir extracted
chmod +x %{_sourcedir}/Moonlight-%{version}-x86_64.AppImage
cd extracted
%{_sourcedir}/Moonlight-%{version}-x86_64.AppImage --appimage-extract

# Nettoyage de l'entrée desktop
mv squashfs-root/com.moonlight_stream.Moonlight.desktop moonlight-qt.desktop
sed -i '/AppImage/d' moonlight-qt.desktop

%build
# Rien à compiler, c'est une AppImage précompilée

%install
mkdir -p %{buildroot}/opt/moonlight-qt
cp -r extracted/squashfs-root/* %{buildroot}/opt/moonlight-qt/

mkdir -p %{buildroot}/usr/bin
install -m 0755 %{SOURCE1} %{buildroot}/usr/bin/moonlight

mkdir -p %{buildroot}/usr/share/applications
install -m 0644 extracted/moonlight-qt.desktop %{buildroot}/usr/share/applications/

mkdir -p %{buildroot}/usr/share/icons
cp -r extracted/squashfs-root/usr/share/icons/hicolor %{buildroot}/usr/share/icons/

%files
%license squashfs-root/usr/share/licenses/*
%doc squashfs-root/usr/share/doc/*
/opt/moonlight-qt
/usr/bin/moonlight
/usr/share/applications/moonlight-qt.desktop
/usr/share/icons/hicolor

%changelog
* Sun Jul 06 2025 Votre Nom <votre.email@example.com> - 6.1.0-1
- Premier paquet basé sur AppImage Moonlight-Qt
